import processing.core.PApplet;
import processing.core.PImage;

import java.util.LinkedList;
import java.util.Queue;

public class GraphicsProgram extends PApplet {

    PImage imgBlue;
    PImage imgRed;

    public static void main(String[] args) {
        PApplet.main("Grafics");
    }

    public void settings() {
        size(800, 600);
        imgBlue = loadImage("TrailBlue");
        imgRed = loadImage("TrailRed");
    }

    public void drawTrail(Queue<int[]> trail, int playerID){

        int particleSize = 5;


        background(255);

        for (int[] koordinates : new LinkedList<>(trail)) {
            int x = koordinates[0];
            int y = koordinates[1];

            if(playerID == 1){
                image(imgBlue, x, y, particleSize, particleSize);
            } else if (playerID == 2) {
                image(imgRed, x, y, particleSize, particleSize);
            }else{
                fill(0, 255, 0);
                rect(x, y, particleSize, particleSize);
            }
            particleSize ++;
        }

    }

    public void drawEvent(){

    }
}
